
package de.ivu.elect.business.entschaedigung.boundary;

import javax.ejb.Stateless;

import de.ivu.elect.business.entschaedigung.control.DefaultWahlausschussmitgliedEntschaedigungsartTemplate;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@Stateless
public class CoreEntschaedigungsartCreator extends AbstractEntschaedigungsartCreator {

  public CoreEntschaedigungsartCreator() {
    super();
  }

  public void initDefaultEntschaedigungsarten(Wahl wahl) {
    // NOTE, dass die Initialisierung momentan nicht stattfindet, sondern die Entschädigungsarten (analog zu den Gebieten) einmalig
    // nach dem Anlegen einer neuen Wahl importiert werden sollen.
    // initDefaultEntschaedigungsarten(wahl, wahl.getWahltermin());
  }

  @Override
  protected void createDefaultEntschaedigungsarten(Wahl wahl, Wahltermin wahltermin) {
    createDefaultWahlausschussmitgliedEntschaedigungsarten(wahl, wahltermin);
  }

  private void createDefaultWahlausschussmitgliedEntschaedigungsarten(Wahl wahl, Wahltermin wahltermin) {
    DefaultWahlausschussmitgliedEntschaedigungsartTemplate.valuesWahlausschussmitgliedEntschaedigungsart().forEach(template -> persist(wahl, wahltermin, template));
  }
}
